Bug 829745 - Review Request: shrinkwrap-resolver - ShrinkWrap Resolver
Review Request: shrinkwrap-resolver - ShrinkWrap Resolver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: huwang
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 832443
  Show dependency treegraph
 
Reported: 2012-06-07 09:28 EDT by Marek Goldmann
Modified: 2016-03-31 19:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 14:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
huwang: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SHRINKRES-44 Major Closed ShrinkRes 1.0.0-X: Update Aether to 1.13.1 2016-04-04 05:02 EDT

  None (edit)
Comment 1 Marek Goldmann 2012-06-07 09:36:04 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4136478
Comment 2 Karel Piwko 2012-06-07 10:42:58 EDT
Adding an upstream bug.
Comment 3 huwang 2012-06-12 07:31:27 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
$rpmlint shrinkwrap-resolver.spec 
shrinkwrap-resolver.spec: W: invalid-url Source0: shrinkwrap-resolver-1.0.0.beta7.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$rpmlint shrinkwrap-resolver-1.0.0-0.1.beta7.fc17.src.rpm
shrinkwrap-resolver.src: W: invalid-url URL: http://www.jboss.org/shrinkwrap HTTP Error 403: Forbidden
shrinkwrap-resolver.src: W: invalid-url Source0: shrinkwrap-resolver-1.0.0.beta7.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 048316bd120066fa86d78020e6f5d5fa
MD5SUM upstream package: 048316bd120066fa86d78020e6f5d5fa
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[x]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4153914

Looks good, but the version is not the latest, could you please explain it?
Comment 4 Karel Piwko 2012-06-12 08:13:05 EDT
The reason why 1.0.0-beta-7 is preferred instead of:

* 1.1.0-alpha-3 => this is a dead branch with incompatible API
* 2.0.0-alpha-1 => this is a cutting edge branch with unstable API

1.0.0-beta-7 is the only version which is actually supported together with JBoss AS 7. The plan is to skip 1.1.0-X altogether and update to 2.0.0-X once it becomes a production quality with next AS7 update.
Comment 5 huwang 2012-06-12 09:05:31 EDT
Make sense.
Approved.
Comment 6 Marek Goldmann 2012-06-13 02:50:58 EDT
Thank you!

New Package SCM Request
=======================
Package Name: shrinkwrap-resolver
Short Description: ShrinkWrap Resolver
Owners: goldmann
Branches: f17
Comment 7 Gwyn Ciesla 2012-06-13 09:10:35 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-13 09:59:34 EDT
shrinkwrap-resolver-1.0.0-0.1.beta7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/shrinkwrap-resolver-1.0.0-0.1.beta7.fc17
Comment 9 Fedora Update System 2012-06-14 20:35:33 EDT
shrinkwrap-resolver-1.0.0-0.1.beta7.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-22 14:56:19 EDT
shrinkwrap-resolver-1.0.0-0.1.beta7.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 JBoss JIRA Server 2013-11-12 03:30:38 EST
Karel Piwko <kpiwko@redhat.com> updated the status of jira SHRINKRES-44 to Closed
Comment 12 JBoss JIRA Server 2013-11-12 03:30:38 EST
Karel Piwko <kpiwko@redhat.com> made a comment on jira SHRINKRES-44

ShrinkWrap Resolvers 1.0.0-beta-7 was replaced by ShrinkWrap Resolvers in Fedora.

As there is no need no maintain any version from 1.X stream, marking as won't fix.
Comment 13 Karel Piwko 2013-11-12 04:12:10 EST
* by ShrinkWrap Resolvers 2.0.0

Note You need to log in before you can comment on or make changes to this bug.